• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
My needs are very simple - can I start using CI4?

#1
All I need for my hobby site is:

1. Linux Ubuntu 18.04 Server
2. Basic MySqli or PDO Database 
3. Pagination
4. NO email
5. No fancy stuff


I would like to completely re-write a site first started with CodeIgniter 1.7 and has been incrementally modified and now uses CI 3.19. 

As you can well imagine the current version has a vast amount of redundant script and reached the point where it is difficult to maintain because of the old revisions.

I was wondering if CI4 has ironed out all the basic MySqli and pagination bugs and I can start importing just the required scripts and leave all the old redundant scripts behind?

I know hindsight is required but are there likely to be major changes to the CI4 basic requirements?

Previously I have created a couple of CI4 test sites which run without any problems and feel relatively confident that it is safe to start re-writing the new site. 

I would be grateful for a detailed reply rather than just "CI4 is not to be used for a production site"
download and make your system directory strict
Reply


Messages In This Thread
My needs are very simple - can I start using CI4? - by John_Betong - 06-25-2018, 09:10 AM

Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.